{
  "branches": ["master"],
  "plugins": [
    [
      "@semantic-release/commit-analyzer",
      {
        "preset": "conventionalcommits",
        "releaseRules": [
          { "type": "feat",   "release": "minor" },
          { "type": "fix",    "release": "patch" },
          { "type": "revert", "release": "major" }
        ]
      }
    ],
    "@semantic-release/release-notes-generator",
    [
      "@semantic-release/changelog",
      { "changelogFile": "CHANGELOG.md" }
    ],
    [
      "@semantic-release/git",
      {
        "assets": ["CHANGELOG.md"],
        "message": "chore(release): ${nextRelease.version} [skip ci]\n\n${nextRelease.notes}"
      }
    ],
    [
      "@saithodev/semantic-release-gitea",
      {
        "giteaUrl": "https://git.dejodigital.com.br",
        "assets": ["CHANGELOG.md"]
      }
    ]
  ]
}
